Package org.apache.solr.client.solrj.io.eval

## Enum DistanceEvaluator.DistanceType

- java.lang.Object
- - java.lang.Enum<DistanceEvaluator.DistanceType>
  - - org.apache.solr.client.solrj.io.eval.DistanceEvaluator.DistanceType

All Implemented Interfaces:
  `Serializable`, `Comparable<DistanceEvaluator.DistanceType>`

Enclosing class:
  DistanceEvaluator

    public static enum DistanceEvaluator.DistanceType
    extends Enum<DistanceEvaluator.DistanceType>

### Enum Constant Summary

Enum Constants
`canberra`
`earthMovers`
`euclidean`
`manhattan`

### Method Summary

All Methods Static Methods Concrete Methods
`static DistanceEvaluator.DistanceType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DistanceEvaluator.DistanceType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### euclidean

    public static final DistanceEvaluator.DistanceType euclidean

#### manhattan

    public static final DistanceEvaluator.DistanceType manhattan

#### canberra

    public static final DistanceEvaluator.DistanceType canberra

#### earthMovers

    public static final DistanceEvaluator.DistanceType earthMovers

### Method Detail

#### values

    public static DistanceEvaluator.DistanceType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DistanceEvaluator.DistanceType c : DistanceEvaluator.DistanceType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DistanceEvaluator.DistanceType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null